#ifndef BEACON_POWERUP_HPP
#define BEACON_POWERUP_HPP

#include "godot_cpp/templates/vector.hpp"
#include "turret.hpp"
#include <godot_cpp/classes/area3d.hpp>

namespace godot {
class BeaconPowerup : public Area3D {
    GDCLASS(BeaconPowerup, Area3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    virtual void _exit_tree() override;
    void body_entered(Node3D *node);

private:
    Vector<Turret*> affected{};
};
}

#endif // !BEACON_POWERUP_HPP
